# PetscLogTraceBegin

Activates trace logging. Every time a PETSc event begins or ends, the event name is printed.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscLogTraceBegin(FILE *file)

Collective on PETSC_COMM_WORLD

### Input Parameter

file -The file to print trace in (e.g. stdout)

### Options Database Key

-log_trace [filename] -Activates PetscLogTraceBegin()

### Notes

PetscLogTraceBegin() prints the processor number, the execution time (sec), then "Event begin:" or "Event end:" followed by the event name.

PetscLogTraceBegin() allows tracing of all PETSc calls, which is useful to determine where a program is hanging without running in the debugger. Can be used in conjunction with the -info option.

### See Also

PetscLogDump(), PetscLogAllBegin(), PetscLogPrintSummary(), PetscLogBegin()

Level:intermediate
Location: src/sys/plog/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages